curl --request GET \
--url https://api.glassmarkets.io/v2/metrics/uptime/depth/ \
--header 'Authorization: <api-key>'import requests
url = "https://api.glassmarkets.io/v2/metrics/uptime/depth/"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.glassmarkets.io/v2/metrics/uptime/depth/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"asset": "<string>",
"exchange": {
"slug": "<string>",
"name": "<string>",
"icon_url": "<string>"
},
"pair": "<string>",
"timestamp": "<string>",
"25000_at_0bps": 123,
"50000_at_0bps": 123,
"100000_at_0bps": 123,
"150000_at_0bps": 123,
"250000_at_0bps": 123,
"25000_at_0.05bps": 123,
"50000_at_0.05bps": 123,
"100000_at_0.05bps": 123,
"150000_at_0.05bps": 123,
"250000_at_0.05bps": 123,
"25000_at_0.1bps": 123,
"50000_at_0.1bps": 123,
"100000_at_0.1bps": 123,
"150000_at_0.1bps": 123,
"250000_at_0.1bps": 123,
"25000_at_0.15bps": 123,
"50000_at_0.15bps": 123,
"100000_at_0.15bps": 123,
"150000_at_0.15bps": 123,
"250000_at_0.15bps": 123,
"25000_at_0.25bps": 123,
"50000_at_0.25bps": 123,
"100000_at_0.25bps": 123,
"150000_at_0.25bps": 123,
"250000_at_0.25bps": 123,
"25000_at_0.5bps": 123,
"50000_at_0.5bps": 123,
"100000_at_0.5bps": 123,
"150000_at_0.5bps": 123,
"250000_at_0.5bps": 123,
"25000_at_0.75bps": 123,
"50000_at_0.75bps": 123,
"100000_at_0.75bps": 123,
"150000_at_0.75bps": 123,
"250000_at_0.75bps": 123,
"25000_at_1bps": 123,
"50000_at_1bps": 123,
"100000_at_1bps": 123,
"150000_at_1bps": 123,
"250000_at_1bps": 123,
"25000_at_2bps": 123,
"50000_at_2bps": 123,
"100000_at_2bps": 123,
"150000_at_2bps": 123,
"250000_at_2bps": 123,
"25000_at_3bps": 123,
"50000_at_3bps": 123,
"100000_at_3bps": 123,
"150000_at_3bps": 123,
"250000_at_3bps": 123,
"25000_at_5bps": 123,
"50000_at_5bps": 123,
"100000_at_5bps": 123,
"150000_at_5bps": 123,
"250000_at_5bps": 123,
"25000_at_10bps": 123,
"50000_at_10bps": 123,
"100000_at_10bps": 123,
"150000_at_10bps": 123,
"250000_at_10bps": 123,
"25000_at_15bps": 123,
"50000_at_15bps": 123,
"100000_at_15bps": 123,
"150000_at_15bps": 123,
"250000_at_15bps": 123,
"25000_at_20bps": 123,
"50000_at_20bps": 123,
"100000_at_20bps": 123,
"150000_at_20bps": 123,
"250000_at_20bps": 123,
"25000_at_25bps": 123,
"50000_at_25bps": 123,
"100000_at_25bps": 123,
"150000_at_25bps": 123,
"250000_at_25bps": 123,
"25000_at_30bps": 123,
"50000_at_30bps": 123,
"100000_at_30bps": 123,
"150000_at_30bps": 123,
"250000_at_30bps": 123,
"25000_at_40bps": 123,
"50000_at_40bps": 123,
"100000_at_40bps": 123,
"150000_at_40bps": 123,
"250000_at_40bps": 123,
"25000_at_50bps": 123,
"50000_at_50bps": 123,
"100000_at_50bps": 123,
"150000_at_50bps": 123,
"250000_at_50bps": 123,
"25000_at_60bps": 123,
"50000_at_60bps": 123,
"100000_at_60bps": 123,
"150000_at_60bps": 123,
"250000_at_60bps": 123,
"25000_at_75bps": 123,
"50000_at_75bps": 123,
"100000_at_75bps": 123,
"150000_at_75bps": 123,
"250000_at_75bps": 123,
"25000_at_100bps": 123,
"50000_at_100bps": 123,
"100000_at_100bps": 123,
"150000_at_100bps": 123,
"250000_at_100bps": 123,
"25000_at_150bps": 123,
"50000_at_150bps": 123,
"100000_at_150bps": 123,
"150000_at_150bps": 123,
"250000_at_150bps": 123,
"25000_at_200bps": 123,
"50000_at_200bps": 123,
"100000_at_200bps": 123,
"150000_at_200bps": 123,
"250000_at_200bps": 123,
"25000_at_300bps": 123,
"50000_at_300bps": 123,
"100000_at_300bps": 123,
"150000_at_300bps": 123,
"250000_at_300bps": 123,
"25000_at_500bps": 123,
"50000_at_500bps": 123,
"100000_at_500bps": 123,
"150000_at_500bps": 123,
"250000_at_500bps": 123
}
]Get depth uptime
Share of minutes in which both the bid and the ask side held more than each amount (USD) within each level in bps of the mid price, as a percentage from 0 to 100, in columns named <amount>_at_<level>bps. Returns one row per exchange pair and time bucket; interval=a returns one row per pair for the whole window, without timestamp. Set the window with time_start and time_end, lookback, or the market_hours_* parameters. Only assets of your organizations are allowed; omit assets to get all of them.
curl --request GET \
--url https://api.glassmarkets.io/v2/metrics/uptime/depth/ \
--header 'Authorization: <api-key>'import requests
url = "https://api.glassmarkets.io/v2/metrics/uptime/depth/"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.glassmarkets.io/v2/metrics/uptime/depth/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"asset": "<string>",
"exchange": {
"slug": "<string>",
"name": "<string>",
"icon_url": "<string>"
},
"pair": "<string>",
"timestamp": "<string>",
"25000_at_0bps": 123,
"50000_at_0bps": 123,
"100000_at_0bps": 123,
"150000_at_0bps": 123,
"250000_at_0bps": 123,
"25000_at_0.05bps": 123,
"50000_at_0.05bps": 123,
"100000_at_0.05bps": 123,
"150000_at_0.05bps": 123,
"250000_at_0.05bps": 123,
"25000_at_0.1bps": 123,
"50000_at_0.1bps": 123,
"100000_at_0.1bps": 123,
"150000_at_0.1bps": 123,
"250000_at_0.1bps": 123,
"25000_at_0.15bps": 123,
"50000_at_0.15bps": 123,
"100000_at_0.15bps": 123,
"150000_at_0.15bps": 123,
"250000_at_0.15bps": 123,
"25000_at_0.25bps": 123,
"50000_at_0.25bps": 123,
"100000_at_0.25bps": 123,
"150000_at_0.25bps": 123,
"250000_at_0.25bps": 123,
"25000_at_0.5bps": 123,
"50000_at_0.5bps": 123,
"100000_at_0.5bps": 123,
"150000_at_0.5bps": 123,
"250000_at_0.5bps": 123,
"25000_at_0.75bps": 123,
"50000_at_0.75bps": 123,
"100000_at_0.75bps": 123,
"150000_at_0.75bps": 123,
"250000_at_0.75bps": 123,
"25000_at_1bps": 123,
"50000_at_1bps": 123,
"100000_at_1bps": 123,
"150000_at_1bps": 123,
"250000_at_1bps": 123,
"25000_at_2bps": 123,
"50000_at_2bps": 123,
"100000_at_2bps": 123,
"150000_at_2bps": 123,
"250000_at_2bps": 123,
"25000_at_3bps": 123,
"50000_at_3bps": 123,
"100000_at_3bps": 123,
"150000_at_3bps": 123,
"250000_at_3bps": 123,
"25000_at_5bps": 123,
"50000_at_5bps": 123,
"100000_at_5bps": 123,
"150000_at_5bps": 123,
"250000_at_5bps": 123,
"25000_at_10bps": 123,
"50000_at_10bps": 123,
"100000_at_10bps": 123,
"150000_at_10bps": 123,
"250000_at_10bps": 123,
"25000_at_15bps": 123,
"50000_at_15bps": 123,
"100000_at_15bps": 123,
"150000_at_15bps": 123,
"250000_at_15bps": 123,
"25000_at_20bps": 123,
"50000_at_20bps": 123,
"100000_at_20bps": 123,
"150000_at_20bps": 123,
"250000_at_20bps": 123,
"25000_at_25bps": 123,
"50000_at_25bps": 123,
"100000_at_25bps": 123,
"150000_at_25bps": 123,
"250000_at_25bps": 123,
"25000_at_30bps": 123,
"50000_at_30bps": 123,
"100000_at_30bps": 123,
"150000_at_30bps": 123,
"250000_at_30bps": 123,
"25000_at_40bps": 123,
"50000_at_40bps": 123,
"100000_at_40bps": 123,
"150000_at_40bps": 123,
"250000_at_40bps": 123,
"25000_at_50bps": 123,
"50000_at_50bps": 123,
"100000_at_50bps": 123,
"150000_at_50bps": 123,
"250000_at_50bps": 123,
"25000_at_60bps": 123,
"50000_at_60bps": 123,
"100000_at_60bps": 123,
"150000_at_60bps": 123,
"250000_at_60bps": 123,
"25000_at_75bps": 123,
"50000_at_75bps": 123,
"100000_at_75bps": 123,
"150000_at_75bps": 123,
"250000_at_75bps": 123,
"25000_at_100bps": 123,
"50000_at_100bps": 123,
"100000_at_100bps": 123,
"150000_at_100bps": 123,
"250000_at_100bps": 123,
"25000_at_150bps": 123,
"50000_at_150bps": 123,
"100000_at_150bps": 123,
"150000_at_150bps": 123,
"250000_at_150bps": 123,
"25000_at_200bps": 123,
"50000_at_200bps": 123,
"100000_at_200bps": 123,
"150000_at_200bps": 123,
"250000_at_200bps": 123,
"25000_at_300bps": 123,
"50000_at_300bps": 123,
"100000_at_300bps": 123,
"150000_at_300bps": 123,
"250000_at_300bps": 123,
"25000_at_500bps": 123,
"50000_at_500bps": 123,
"100000_at_500bps": 123,
"150000_at_500bps": 123,
"250000_at_500bps": 123
}
]Authorizations
Token-based authentication with required prefix "Token ". Example: "Token 9944b09199c62bcf9418ad846dd0e4bbdfc6ee4b"
Query Parameters
Comma-separated order sizes in USD, e.g. 1000,10000.
25Comma-separated asset symbols, e.g. BTC,ETH_PERP. Only assets of your organizations are allowed (see /v1/organizations/). Defaults to all of them.
100Comma-separated distances from the mid price, in basis points (1 bps = 0.01%), e.g. 0.5,1,2.
25File name of the CSV download. Defaults to data.csv.
1M- Aggregated in 1 month periods.1w- Aggregated in 1 week periods.1d- Aggregated in 1 day periods.4h- Aggregated in 4 hour periods.1h- Aggregated in 1 hour periods.30m- Aggregated in 30 minute periods.15m- Aggregated in 15 minute periods.5m- Aggregated in 5 minute periods.1m- Aggregated in 1 minute periods.c- Will return all the data for the specified time range using the biggest periods possible.a- Will return the aggregate of the data for the specified time range.
1M, 1w, 1d, 4h, 1h, 30m, 15m, 5m, 1m, c, a 1Relative window ending now. Can't be combined with time_start/time_end.
30-minutes- 30-minutes1-hour- 1-hour3-hours- 3-hours6-hours- 6-hours12-hours- 12-hours1-day- 1-day7-days- 7-days1-month- 1-month3-months- 3-months6-months- 6-months1-year- 1-year
30-minutes, 1-hour, 3-hours, 6-hours, 12-hours, 1-day, 7-days, 1-month, 3-months, 6-months, 1-year 1Days to include, as comma-separated week:day pairs such as this:1,last:5, or a JSON array of {"week", "day"} objects. week is this or last; day is 0 (Sunday) to 6 (Saturday).
Trading session to restrict the window to. Requires market_hours_days; can't be combined with time_start/time_end or lookback.
pre-market- pre-marketopening-bell- opening-bellmarket-hours- market-hoursclosing-bell- closing-bellafter-hours- after-hoursblue-ocean- blue-oceanweekend-hours- weekend-hours
pre-market, opening-bell, market-hours, closing-bell, after-hours, blue-ocean, weekend-hours 1Time zone of the market-hours sessions.
1Window end, ISO 8601. UTC when no offset is given.
Window start, ISO 8601. UTC when no offset is given.
csv returns a CSV file instead of JSON.
csv Response
Show child attributes
Show child attributes
Bucket start. Absent when interval=a.

